<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Tablab - School Reports</title>
    <%include ../partials/head %>
    <style>
      .redMessage {
        color: red;
        padding: 1px;
        display: none;
      }

      h3 {
        margin-left: 5px;
        margin-right: 5px;
        padding: 5px;
        border-radius: 5px;
        background-color: #c11925;
        color: white;
      }
    </style>
  </head>
  <body>
    <%include ../partials/reportsHeader %>

    <div class="container">
      <div class="row" style="margin-bottom:40px;">
        <div class="col-lg-4 col-md-6 col-sm-6 col-xs-12">
          <div class="form-group">
            <h2 style="display:none" id="userDisplayName"><%= name%></h2>
            <h3 id="did" style="visibility:hidden;"><%= did%></h3>
            <br />

            <% if(tablabType === 1) { %> <button id="addTeachers?u=<%= uid%>&n=<%= name%>&did=<%= did%>" class="red-round" onclick="onNextPageLinkSelected(this)"><i class="fa fa-plus-circle" area-hidden="true"></i> Add Teacher</button> <br />

            <!-- Link to Add new Students To School -->
            <button id="addStudents?u=<%= uid%>&n=<%= name%>&did=<%= did%>" class="red-round" onclick="onNextPageLinkSelected(this)"><i class="fa fa-plus-circle" area-hidden="true"></i> Add Students</button> <br />

            <!-- Add a new classroom to the school -->
            <button id="addClassrooms?u=<%= uid%>&n=<%= name%>&did=<%= did%>" class="red-round" onclick="onNextPageLinkSelected(this)"><i class="fa fa-plus-circle" area-hidden="true"></i> Add Classrooms</button> <br />
            <% } %>
			<% if(userType ==="admin"){ %>
			  <button id="<%= did %>" class="red-round" onclick="addDocuments(this)"><i class="fa fa-plus-circle" area-hidden="true"></i> Add Documents</button> <br />
			 <% } %>

            <!-- Link to Graphical School reports -->
            <button id="schoolReports?u=<%= uid%>&n=<%= name%>&did=<%= did%>&reportType=ContentUsageReports" class="red-round" onclick="onNextPageLinkSelected(this)"><i class="fa fa-pie-chart" area-hidden="true"></i> Graphical Usage Reports</button> <br />

            <!-- Link to Classwise tabular reports -->
            <button id="tabularReports?u=<%= uid%>&n=<%= name%>&did=<%= did%>" class="red-round" onclick="onNextPageLinkSelected(this)"><i class="fa fa-table" area-hidden="true"></i> Classwise Usage Reports</button> <br />

            <!-- Link to Classwise tabular reports -->
            <button id="assessmentsAnalyticsPage?u=<%= uid%>&n=<%= name%>&did=<%= did%>" class="red-round" onclick="onNextPageLinkSelected(this)"><i class="fa fa-table" area-hidden="true"></i> Assessments Usage Reports</button> <br />

            <!-- Link to User Master Reports -->
            <button id="masterReportsDetailsPage?u=<%= uid%>&n=<%= name%>&did=<%= did%>" class="red-round" onclick="onNextPageLinkSelected(this)"><i class="fa fa-table" area-hidden="true"></i> User Master Reports</button> <br />
              <div id="linkDiv">
			  </div>
		  
		  
		  </div>
        </div>
        <div class="col-lg-8 col-md-6 col-sm-6 col-xs-12">
          <div class="table-responsive" style="border:solid thin #999999; border-radius: 5px; padding-top:0px; margin-top:0px;margin-bottom:0px">
            <h3 align="center"><i class="fa fa-graduation-cap" area-hidden="true"></i> School Details</h3>
            <hr />
            <div id="loader1" style="display:block;"><div class="loader"></div></div>
            <table class="table table-striped">
              <tbody id="summaryTableBody"></tbody>
            </table>
          </div>
        </div>
      </div>

      <div style="margin-bottom:50px; margin-top:50px;">
        <%include ../partials/tableFilter%>
        <div id="tableDiv">
          <!-- table structure -->
          <div class="container table-responsive" style="border:solid thin #999999; border-radius: 5px; padding-top:0px; margin-top:0px;margin-bottom:0px">
            <h3 align="center"><i class="fa fa-graduation-cap" area-hidden="true"></i> Gradewise Usage</h3>
            <hr />
            <div id="loader2" style="display:block;"><div class="loader"></div></div>
            <table class="table table-striped">
              <thead>
                <tr>
                  <th><i class="fa fa-user-circle-o" aria-hidden="true"></i>&nbsp Grade/Category</th>
                  <th><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Assessment(in hrs)</th>
                  <th><i class="fa fa-book" aria-hidden="true"></i>&nbsp Books(in hrs)</th>
                  <th><i class="fa fa-file-video-o" aria-hidden="true"></i>&nbsp Multimedia(in hrs)</th>
                  <th><i class="fa fa-file-video-o" aria-hidden="true"></i>&nbsp Videos(in hrs)</th>
                </tr>
              </thead>
              <tbody id="gradeUsageTableBody"></tbody>
            </table>
            <h5 id="tableBottomInfo" style="padding:5px; border-radius:10px; background-color:#e0e0d1; color:#000;" align="center">Page 1 of 1, Showing</h5>
            <br />
          </div>
        </div>
      </div>
      <!-- lists of Months from the month of commencement of project and shows ***New Table***  -->
      <div style="margin-bottom:50px; margin-top:50px;">
        <div id="monthlyUsageTableDiv">
          <!-- table structure -->
          <div class="container table-responsive" style="border:solid thin #999999; border-radius: 5px; padding-top:0px; margin-top:0px;margin-bottom:0px">
            <h3 align="center"><i class="fa fa-graduation-cap" area-hidden="true"></i> Monthly Usage</h3>
            <hr />
            <div id="monthlyUsageLoader" style="display:block;"><div class="loader"></div></div>
            <table class="table table-striped">
              <thead>
                <tr>
                  <th><i class="fa fa-calendar" aria-hidden="true"></i>&nbsp Months</th>
                  <th><i class="fa fa-clock-o" aria-hidden="true"></i>&nbsp Hours Of Usage</th>
                  <th><i class="fa fa-list-ol" aria-hidden="true"></i>&nbsp Unique days of use</th>
                </tr>
              </thead>
              <tbody id="monthlyUsageTableBody"></tbody>
            </table>
            <!-- <h5 id="monthlyUsageTableBottomInfo" style="padding:5px; border-radius:10px; background-color:#e0e0d1; color:#000;" align="center">Page 1 of 1, Showing</h5>
             --><br />
          </div>
        </div>
      </div>
    </div>
	<div id="modalDiv" class="modal animated bounceIn" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

			<!-- dialog -->
			<div class="modal-dialog">

				<!-- content -->
				<div class="modal-content">

					<!-- header -->
					<div class="modal-header">
						<h3 id="myModalLabel" class="modal-title">
							School Details
						</h3>
					</div>
					<!-- header -->

					<!-- body -->
					<div class="modal-body">
						<div class="row" style="margin-left:5px; margin-right:5px;">
							<div class="tab-pane" id="schoolDetailsDiv">
								<ul id="ul-pills" class="nav nav-pills sky">
									<li id="1a" class="active">
										<a href="#11a" data-toggle="tab">Add Documents</a>
									</li>
									

									<!-- footer -->
									<li style="float:right;">
										<button class="btn btn-default" data-dismiss="modal">
											close
										</button>
									</li>
									<!-- footer -->
								</ul>
							</div>
						</div>
						<div id="pills-div" class="tab-content clearfix" style="border:solid thin #999999; border-radius: 5px; padding-top:0px; margin-top:0px;margin-bottom:0px; disp">
							<!-- School Details(Update) Form-->
							<div class="tab-pane row active" id="11a" style="margin:5px;">
								<div class="panel-body">
									<div class="row">
										<div class="col-lg-12">
											<form id="modal-form" role="form" style="display:block;">
												<div id="mainDiv1"  >
													<div class="form-group row">
														<div class="form-group col-lg-6 col-md-6 col-sm-12 col-xs-12">
															<a class="active" id="login-form-link" data-toggle="popover" data-trigger="hover" title="Popover Header" data-content="Some content inside the popover 2">
																<label>Images Link</label>
															</a>
															<br>
															<input type="text" name="imageLink" id="inputImageLink" tabindex="1" class="form-control" placeholder="Enter Images Link"
															    value="" >
															<br>
														    <a class="active" id="login-form-link" data-toggle="popover" data-trigger="hover" title="Popover Header" data-content="Some content inside the popover 2">
																<label>Videos Link</label>
															</a>
														  <br>
															<input type="text" name="vedioLink" id="inputVideoLink" tabindex="2" class="form-control" placeholder="Enter Pictures Link"
															    value="" >
																<br>
															<a class="active" id="login-form-link" data-toggle="popover" data-trigger="hover" title="Popover Header" data-content="Some content inside the popover 2">
																<label>Documents Link</label>
															</a>
															<br>
															<input type="text" name="documentLink" id="inputdocumentLink" tabindex="3" class="form-control" placeholder="Enter Documents Link"
															    value="" >								
														</div>
													</div>
													
												</div>

												<div class="form-group">
													<div class="row">
														<div class="col-sm-6 col-sm-offset-3">
															<input type="submit" name="buttonSubmit" id="buttonSubmit" tabindex="4" class="form-control btn btn-login" value="Update Details">
														</div>
													</div>
												</div>
											</form>
										</div>
									</div>
								</div>
							</div>
							
							
					</div>
				</div>
			</div>
       </div>
</div>
	
  </body>

  <script src="/js/functions.js"></script>
  <script src="/js/schoolPage.js"></script>
</html>
